Clover-for-Eclipse Installation Guide

Requirements

The Clover-for-Eclipse system requirements are as follows:

Eclipse Projects

Your Eclipse projects must use the built-in Java Builder for compilation of source code.
We do not support AspectJ-based projects.

JDK Version

 

See Supported Platforms

 

Eclipse Version

Operating System

Known issues

  • Projects initially instrumented/built using an earlier Clover plugin version or build may appear as grey in the Coverage Explorer. To resolve this, perform a clean build on your Clover-instrumented classes and select "Yes" when asked to delete coverage data.

Installation

You can either install the Clover-for-Eclipse from the live Clover Eclipse update site, Eclipse Marketplace or from a zipped archive downloaded manually.

1a. Installing the plug-in from the live Clover Eclipse update site
  1. Select from the menu "Help > Install New Software ...".
  2. Click "Add...", enter http://openclover.org/update in the "Location" field. Click "OK".
  3. Select the entry "Clover <version> (Eclipse 3.6 - 4.4 and RAD 8.0 - 9.0)".
  4. Deselect the checkbox "Contact all update sites ... " for faster installation.
  5. Click "Next" twice, select the radio button next to "I accept the license agreement" and click the "Finish".
  6. Installation process will start.
    1. You will be asked to install unsigned content. Click "OK".
    2. You will be asked to restart Eclipse. Click "Restart now" to complete the installation.
1b. Installing the plug-in from a downloaded archive of the Clover Eclipse update site
  1. Download the most recent Clover Eclipse update site archive from the Clover downloads page.
  2. Select from the menu "Help > Install New Software ...".
  3. Click "Add...", next click "Archive..." and point to the location of the downloaded archive. Click "OK".
  4. Select the entry "Clover <version> (Eclipse 3.6 - 4.3. and RAD 8.0 - 9.0)".
  5. Deselect the checkbox "Contact all update sites ... " for faster installation.
  6. Click "Next" twice, select the radio button next to "I accept the license agreement" and click the "Finish".
  7. Installation process will start.
    1. You will be asked to install unsigned content. Click "OK".
    2. You will be asked to restart Eclipse. Click "Restart now" to complete the installation.
1c. Installing the plug-in from the Eclipse Marketplace
  1. Select from the menu "Help > Eclipse Marketplace ...".
  2. On the "Search" tab, in the "Find" field type "Clover" and click "Go".
  3. You shall see a message "0 matches. Browse for more solutions." Click on this link.
    (lightbulb) Clover is not listed in this dialog due to license restrictions applied by Eclipse Marketplace.
  4. An internal web browser view will open. Click the "Atlassian Clover for Eclipse" on a list of results.
  5. Plug-in page will open. Click the "Install" button.
  6. A dialog with a list of features to install will open. Check that "Clover 4" and "Clover 4 Ant Support" are selected and click "Next".
  7. A license agreement will be displayed. Select the radio button next to "I accept the license agreement" and click the "Finish".
  8. Installation process will start.
    1. You will be asked to install unsigned content. Click "OK".
    2. You will be asked to restart Eclipse. Click "Restart now" to complete the installation.

Uninstallation

To uninstall the plug-in:

  1. Select from the menu "Help > About Eclipse > Installation Details".
  2. Select "Installed Software" tab.
  3. Find the Clover features in the list - there should be two: "Clover 4" and "Clover 4 Ant Support".
  4. Select both, right click and select "Uninstall...". Click "Finish" to confirm you want to proceed.
  5. Uninstallation process will start. You will be asked if you want to restart Eclipse. Click "Restart Now".